--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Asserts that the record value matches the comparison
- !ruby/struct:SM::Flow::P 
  body: "@param [Resource, Hash] record"
- !ruby/struct:SM::Flow::VERB 
  body: "  The record containing the value to be matched\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Query::Conditions::LessThanOrEqualToComparison#matches?
is_singleton: false
name: matches?
params: (record)
visibility: public
